<?php

namespace App\Models\Admin;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MsBidangPenelitianKategori extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'ms_bidang_penelitian_kategori';
    protected $keyType = 'string';

    public function children()
    {
        return $this->hasMany(MsBidangPenelitian::class, 'id_kategori', 'id');
    }
}
