<?php

namespace App\Models\User;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class KontrakKerja extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'kontrakkerja';
    protected $keyType = 'string';

    protected $fillable = [
        'id', 'unit_pelaksanaan', 'nama_kegiatan', 'institusi_mitra', 'nokontrak', 'nilaikontrak', 'userid_created', 'userid_updated', 'created_at', 'updated_at',
    ];
}
